-- Main trigger
trigger = ScriptTrigger()                     -- Create the trigger
trigger:setScript("cutscene.lua")             -- Tell the trigger which script to call
trigger:setFunction("tick")                   -- Tell the trigger which scriptfunction to call
trigger:setActiveOnCreation(true)      

-- Cameraswitchone
triggerOne = ScriptTrigger()
triggerOne:setScript("cutscene.lua")
triggerOne:setFunction("switchCamTargetToEarth")
triggerOne:setAbsCoor(250, 0 , 0)
triggerOne:setTarget("CameraOne")
triggerOne:setRadius(1)
triggerOne:setDebugDraw(true)


-- Cameraswitchtwo
triggerTwo = ScriptTrigger()
triggerTwo:setScript("cutscene.lua")
triggerTwo:setFunction("switchCamToSpaceship")
triggerTwo:setAbsCoor(250, 0 , 0)
triggerTwo:setTarget("shutleOne")
triggerTwo:setRadius(1)
triggerTwo:setDebugDraw(true)  

-- Cameraswitchthree
triggerThree = ScriptTrigger()
triggerThree:setScript("cutscene.lua")
triggerThree:setFunction("switchCamToStation")
triggerThree:setAbsCoor(250, 0 , 0)
triggerThree:setTarget("CameraTwo")
triggerThree:setRadius(1)
triggerThree:setDebugDraw(true)  

 
-- Get objects from orxonox
thisscript:addObject("CameraMan", "cameraManager")
thisscript:addObject("NPC", "shutleOne")

-- Global Variables
time = 0


-- Switch cam functions
function switchCamTargetToEarth(timestep)
cameraManager:changeCurrTarget("Planet", "Earth")
return true
end

function switchCamToSpaceship(timestep)
cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")
return true
end

function switchCamToStation(timestep)
cameraManager:atachCurrCameraToWorldEntity("Building", "zhara")
return true
end


-- THE tick function

function tick(timestep)
time = time + timestep
cameraManager:setCam("CameraOne")
--cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")

cameraSwitched = true

if time > 4 then
--cameraManager:togglFade()
return true
end

return false
end 
